Get

  • GET
  • /workspaces
  • /:workspace
  • /domains
  • /:domain_id

Get a specific domain by name

Request

REQUIRED SCOPES
ZONE_READ
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

domain_idrequiredstring
The ID of the domain

Example: "4krmDRPw"

Response

RESPONSE BODY
typestring enum
The type of the domain
Allowed enum:
REGISTERED,
POINTED,
PRIVATE,
CLAIMED
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
namestring
The name of the domain
idstring
The ID of the domain
pointed_viastring[]
auto_renewboolean
Whether the domain is set to auto-renew
transfer_lockboolean
Whether the domain has transfer lock enabled
dnssecboolean
Whether DNSSEC is enabled for the domain
expiry_datestring
The expiration date of the domain registration

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/domains/:domain_id" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"

Response examples

Registered Domain
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/domains/4krmDRPw", "html_url": "https://app.buddy.works/my-company/-/domain/4krmDRPw", "id": "4krmDRPw", "name": "example.com", "type": "REGISTERED", "auto_renew": true, "transfer_lock": true, "dnssec": false, "expiry_date": "2026-09-26T19:30:18Z" }
STATUS
200 OK
Pointed Domain
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/domains/z2Qb9p03", "html_url": "https://app.buddy.works/my-company/-/domain/z2Qb9p03", "id": "z2Qb9p03", "name": "pointed.com", "type": "POINTED", "pointed_via": [ "NS" ] }
STATUS
200 OK
Claimed Domain
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-company/domains/WEQgvpvg", "html_url": "https://app.buddy.works/my-company/-/domain/WEQgvpvg", "id": "WEQgvpvg", "name": "claim.claimable.com", "type": "CLAIMED" }
STATUS
200 OK